# Provenance read

`GET /Provenance/{id}`

This resource contains authenticity information to verify the legitimacy of data provided in a related resource. The details may include when and who prepared the data for another resource. Typically, a `Provenance` resource is provided for audit, security, or transparency purposes. 

You can only review provenance information.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `Provenance` resource with authenticity details for a related resource.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | Provenance identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Provenance/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The Provenance

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Provenance |
| `target` | Array of object | Yes | The Reference(s) that were generated or updated by  the activity described in this resource. A provenance can point to more than one target if multiple resources were created/updated by the same activity. Must be a resource of type `Resource`. |
| `target[].reference` | string | No | A reference to a location at which the other resource is found. The reference may be a relative reference, in which case it is relative to the service base URL, or an absolute URL that resolves to the location where the resource is found. The reference may be version specific or not. If the reference is not to a FHIR RESTful server, then it should be assumed to be version specific. Internal fragment references (start with '#') refer to contained resources. |
| `recorded` | string | Yes | The instant of time at which the activity was recorded. |
| `agent` | Array of ProvenanceAuthor or ProvenanceTransmitter or Other | Yes | An actor taking a role in an activity  for which it can be assigned some degree of responsibility for the activity taking place. |
| `agent[] (ProvenanceAuthor).type` | object | Yes | The participation the agent had with respect to the activity. |
| `agent[] (ProvenanceAuthor).type.coding` | Array of object | Yes |  |
| `agent[] (ProvenanceAuthor).type.coding[].system` | string | Yes | Value: http://terminology.hl7.org/CodeSystem/provenance-participant-type |
| `agent[] (ProvenanceAuthor).type.coding[].code` | string | Yes | Value: author |
| `agent[] (ProvenanceAuthor).who` | object | Yes | The individual, device or organization that participated in the event. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` - `RelatedPerson` - `Patient` - `Device` - `Organization` |
| `agent[] (ProvenanceAuthor).who.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.reference` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who._reference` | object | No | Extensions for reference |
| `agent[] (ProvenanceAuthor).who._reference.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who._reference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who._reference.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who._reference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who._reference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.type` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who._type` | object | No | Extensions for type |
| `agent[] (ProvenanceAuthor).who._type.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who._type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who._type.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who._type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who._type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier` | object | No | An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers. |
| `agent[] (ProvenanceAuthor).who.identifier.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `agent[] (ProvenanceAuthor).who.identifier._use` | object | No | Extensions for use |
| `agent[] (ProvenanceAuthor).who.identifier._use.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier._use.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `agent[] (ProvenanceAuthor).who.identifier.type.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.type.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._system` | object | No | Extensions for system |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[].version` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._version` | object | No | Extensions for version |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._code` | object | No | Extensions for code |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[].display` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._display` | object | No | Extensions for display |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.type.text` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type._text` | object | No | Extensions for text |
| `agent[] (ProvenanceAuthor).who.identifier.type._text.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.system` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier._system` | object | No | Extensions for system |
| `agent[] (ProvenanceAuthor).who.identifier._system.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier._system.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.value` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier._value` | object | No | Extensions for value |
| `agent[] (ProvenanceAuthor).who.identifier._value.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier._value.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.period` | object | No | Time period during which identifier is/was valid for use. |
| `agent[] (ProvenanceAuthor).who.identifier.period.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.period.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.period.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `agent[] (ProvenanceAuthor).who.identifier.period._start` | object | No | Extensions for start |
| `agent[] (ProvenanceAuthor).who.identifier.period._start.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.period._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.period._start.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.period._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.period._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.identifier.period.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `agent[] (ProvenanceAuthor).who.identifier.period._end` | object | No | Extensions for end |
| `agent[] (ProvenanceAuthor).who.identifier.period._end.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.period._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who.identifier.period._end.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who.identifier.period._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who.identifier.period._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceAuthor).who.display` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who._display` | object | No | Extensions for display |
| `agent[] (ProvenanceAuthor).who._display.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceAuthor).who._display.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceAuthor).who._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceAuthor).who._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).type` | object | Yes | The participation the agent had with respect to the activity. |
| `agent[] (ProvenanceTransmitter).type.coding` | Array of object | Yes |  |
| `agent[] (ProvenanceTransmitter).type.coding[].system` | string | Yes | Value: http://hl7.org/fhir/us/core/CodeSystem/us-core-provenance-participant-type |
| `agent[] (ProvenanceTransmitter).type.coding[].code` | string | Yes | Value: transmitter |
| `agent[] (ProvenanceTransmitter).who` | object | Yes | The individual, device or organization that participated in the event. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` - `RelatedPerson` - `Patient` - `Device` - `Organization` |
| `agent[] (ProvenanceTransmitter).who.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.reference` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who._reference` | object | No | Extensions for reference |
| `agent[] (ProvenanceTransmitter).who._reference.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who._reference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who._reference.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who._reference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who._reference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.type` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who._type` | object | No | Extensions for type |
| `agent[] (ProvenanceTransmitter).who._type.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who._type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who._type.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who._type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who._type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier` | object | No | An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers. |
| `agent[] (ProvenanceTransmitter).who.identifier.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `agent[] (ProvenanceTransmitter).who.identifier._use` | object | No | Extensions for use |
| `agent[] (ProvenanceTransmitter).who.identifier._use.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier._use.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `agent[] (ProvenanceTransmitter).who.identifier.type.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.type.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._system` | object | No | Extensions for system |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[].version` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._version` | object | No | Extensions for version |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._code` | object | No | Extensions for code |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[].display` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._display` | object | No | Extensions for display |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.type.text` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type._text` | object | No | Extensions for text |
| `agent[] (ProvenanceTransmitter).who.identifier.type._text.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.system` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier._system` | object | No | Extensions for system |
| `agent[] (ProvenanceTransmitter).who.identifier._system.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier._system.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.value` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier._value` | object | No | Extensions for value |
| `agent[] (ProvenanceTransmitter).who.identifier._value.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier._value.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.period` | object | No | Time period during which identifier is/was valid for use. |
| `agent[] (ProvenanceTransmitter).who.identifier.period.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.period.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.period.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `agent[] (ProvenanceTransmitter).who.identifier.period._start` | object | No | Extensions for start |
| `agent[] (ProvenanceTransmitter).who.identifier.period._start.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.period._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.period._start.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.period._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.period._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.identifier.period.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `agent[] (ProvenanceTransmitter).who.identifier.period._end` | object | No | Extensions for end |
| `agent[] (ProvenanceTransmitter).who.identifier.period._end.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.period._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who.identifier.period._end.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who.identifier.period._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who.identifier.period._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (ProvenanceTransmitter).who.display` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who._display` | object | No | Extensions for display |
| `agent[] (ProvenanceTransmitter).who._display.id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (ProvenanceTransmitter).who._display.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (ProvenanceTransmitter).who._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (ProvenanceTransmitter).who._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who` | object | Yes | The individual, device or organization that participated in the event. Must reference one of the following types of resources: - `Organization` - `Practitioner` - `Patient` - `PractitionerRole` - `RelatedPerson` - `Device` |
| `agent[] (Other).who.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.reference` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who._reference` | object | No | Extensions for reference |
| `agent[] (Other).who._reference.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who._reference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who._reference.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who._reference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who._reference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.type` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who._type` | object | No | Extensions for type |
| `agent[] (Other).who._type.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who._type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who._type.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who._type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who._type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier` | object | No | An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers. |
| `agent[] (Other).who.identifier.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `agent[] (Other).who.identifier._use` | object | No | Extensions for use |
| `agent[] (Other).who.identifier._use.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier._use.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `agent[] (Other).who.identifier.type.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.type.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `agent[] (Other).who.identifier.type.coding[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.type.coding[]._system` | object | No | Extensions for system |
| `agent[] (Other).who.identifier.type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.type.coding[].version` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._version` | object | No | Extensions for version |
| `agent[] (Other).who.identifier.type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `agent[] (Other).who.identifier.type.coding[]._code` | object | No | Extensions for code |
| `agent[] (Other).who.identifier.type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.type.coding[].display` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._display` | object | No | Extensions for display |
| `agent[] (Other).who.identifier.type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `agent[] (Other).who.identifier.type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `agent[] (Other).who.identifier.type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.type.text` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type._text` | object | No | Extensions for text |
| `agent[] (Other).who.identifier.type._text.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.system` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier._system` | object | No | Extensions for system |
| `agent[] (Other).who.identifier._system.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier._system.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.value` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier._value` | object | No | Extensions for value |
| `agent[] (Other).who.identifier._value.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier._value.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.period` | object | No | Time period during which identifier is/was valid for use. |
| `agent[] (Other).who.identifier.period.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.period.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.period.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `agent[] (Other).who.identifier.period._start` | object | No | Extensions for start |
| `agent[] (Other).who.identifier.period._start.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.period._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.period._start.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.period._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.period._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.identifier.period.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `agent[] (Other).who.identifier.period._end` | object | No | Extensions for end |
| `agent[] (Other).who.identifier.period._end.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.period._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who.identifier.period._end.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who.identifier.period._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who.identifier.period._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).who.display` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who._display` | object | No | Extensions for display |
| `agent[] (Other).who._display.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).who._display.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).who._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).who._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).type` | object | No | The participation the agent had with respect to the activity. |
| `agent[] (Other).type.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).type.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `agent[] (Other).type.coding[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).type.coding[]._system` | object | No | Extensions for system |
| `agent[] (Other).type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).type.coding[].version` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._version` | object | No | Extensions for version |
| `agent[] (Other).type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `agent[] (Other).type.coding[]._code` | object | No | Extensions for code |
| `agent[] (Other).type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).type.coding[].display` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._display` | object | No | Extensions for display |
| `agent[] (Other).type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `agent[] (Other).type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `agent[] (Other).type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).type.text` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type._text` | object | No | Extensions for text |
| `agent[] (Other).type._text.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).onBehalfOf` | object | No | The individual, device, or organization for whom the change was made. Must be a resource of type `Organization`. |
| `agent[] (Other).onBehalfOf.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).onBehalfOf.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).onBehalfOf.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).onBehalfOf.reference` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf._reference` | object | No | Extensions for reference |
| `agent[] (Other).onBehalfOf._reference.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf._reference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).onBehalfOf._reference.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf._reference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).onBehalfOf._reference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).onBehalfOf.type` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).onBehalfOf._type` | object | No | Extensions for type |
| `agent[] (Other).onBehalfOf._type.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf._type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).onBehalfOf._type.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf._type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).onBehalfOf._type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).onBehalfOf.identifier` | object | No | An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers. |
| `agent[] (Other).onBehalfOf.identifier.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.identifier.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).onBehalfOf.identifier.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.identifier.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).onBehalfOf.identifier.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).onBehalfOf.identifier.use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `agent[] (Other).onBehalfOf.identifier._use` | object | No | Extensions for use |
| `agent[] (Other).onBehalfOf.identifier._use.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.identifier._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).onBehalfOf.identifier._use.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.identifier._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).onBehalfOf.identifier._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).onBehalfOf.identifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `agent[] (Other).onBehalfOf.identifier.type.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.identifier.type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).onBehalfOf.identifier.type.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.identifier.type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).onBehalfOf.identifier.type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).onBehalfOf.identifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `agent[] (Other).onBehalfOf.identifier.type.coding[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.identifier.type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).onBehalfOf.identifier.type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.identifier.type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).onBehalfOf.identifier.type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `agent[] (Other).onBehalfOf.identifier.type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `agent[] (Other).onBehalfOf.identifier.type.coding[]._system` | object | No | Extensions for system |
| `agent[] (Other).onBehalfOf.identifier.type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.identifier.type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `agent[] (Other).onBehalfOf.identifier.type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `agent[] (Other).onBehalfOf.identifier.type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
[...]
